[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sqldb' (#fcl)

# TSQLConnection.GetConnectionInfo

Return some information about the connection

## Declaration

Source position: sqldb.pp line 170

`public function TSQLConnection.GetConnectionInfo(`
`InfoType: TConnInfoType`
`):string; virtual;`

## Arguments

`InfoType` |  | Connection information to be returned.

## Function result

Requested information as a string value.

## Description

GetConnectionInfo can be used to return some information about the connection. Which information is returned depends on the InfoType parameter. The information is returned as a string. If citAll is passed, then the result will be a comma-separated list of values, each of the values enclosed in double quotes.

## See also

TConnInfoType |  | Connection information to be retrieved

Documentation generated on: Feb 26 2014